Listar pedidos
curl --request GET \
--url https://api.caudalflow.com/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.caudalflow.com/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.caudalflow.com/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"status": "pending",
"channel": "voice",
"account": {
"id": "<string>",
"name": "<string>"
},
"items": [
{
"product_id": "<string>",
"product_name": "<string>",
"quantity": 123,
"unit": "<string>",
"notes": "<string>",
"unit_raw": "<string>",
"product_unit": "<string>",
"base_unit_qty_micro_at_capture": 123,
"notes_source": "customer",
"sku": "<string>",
"unit_price": 123,
"price_source": "explicit",
"resolution": "product",
"discard_reason": "<string>"
}
],
"notes": "<string>",
"delivery_address": {
"label": "<string>",
"address": "<string>"
},
"captured_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"confirmed_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>"
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>"
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>"
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>"
}
}Pedidos
Listar pedidos
Returns orders for the authenticated organization, newest first. Cursor-paginated.
GET
/
v1
/
orders
Listar pedidos
Authorizations
API key issued from the Caudal dashboard. Scopes are enforced per route: orders:read, orders:write, accounts:read, accounts:write, products:read.
Query Parameters
Required range:
1 <= x <= 100Opaque cursor from a previous response's meta.next_cursor.
Available options:
reviewed, confirmed, delivered, cancelled